## model
Class Country.CountryComparator

    java.lang.Object
      model.Country.CountryComparator

All Implemented Interfaces:
  java.util.Comparator<java.lang.Object>

Enclosing class:
  Country

    static class Country.CountryComparator

extends java.lang.Object
implements java.util.Comparator<java.lang.Object>

Inner class CountryComparator is used to enable sorting Country objects by their country names.

Constructor Summary
`Country.CountryComparator()`

Method Summary
`int` `compare(java.lang.Object first_object, java.lang.Object second_object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### Country.CountryComparator

    Country.CountryComparator()

Method Detail

### compare

    public int compare(java.lang.Object first_object,
                       java.lang.Object second_object)

  Specified by:
    `compare` in interface `java.util.Comparator<java.lang.Object>`